PrefabFiles = 
{
	"gears_multitool",
	"gears_hat_goggles",
	"equip_pack",
	"wool_sack",
	"ice_pack",
	"hat_wood",
	"hat_rock",
	"hat_marble",
	"armor_rock",
	"sword_rock",
	"bug_swatter",
	"gears_mace",
	"gears_staff",
	"armor_beefalo",
	"ruins_battery",
}

Assets = 
{
	Asset("ATLAS", "images/inventoryimages/gears_multitool.xml"),
	Asset("ATLAS", "images/inventoryimages/gears_hat_goggles.xml"),
	Asset("ATLAS", "images/inventoryimages/equip_pack.xml"),
	Asset("ATLAS", "images/inventoryimages/wool_sack.xml"),
	Asset("ATLAS", "images/inventoryimages/ice_pack.xml"),
	Asset("ATLAS", "images/inventoryimages/hat_wood.xml"),
	Asset("ATLAS", "images/inventoryimages/hat_rock.xml"),
	Asset("ATLAS", "images/inventoryimages/hat_marble.xml"),
	Asset("ATLAS", "images/inventoryimages/armor_rock.xml"),
	Asset("ATLAS", "images/inventoryimages/sword_rock.xml"),
	Asset("ATLAS", "images/inventoryimages/bug_swatter.xml"),
	Asset("ATLAS", "images/inventoryimages/gears_mace.xml"),
	Asset("ATLAS", "images/inventoryimages/gears_staff.xml"),
	Asset("ATLAS", "images/inventoryimages/armor_beefalo.xml"),
	Asset("ATLAS", "images/inventoryimages/ruins_battery.xml"),

    Asset("ANIM", "anim/swap_wool_sack.zip"),
 	Asset("ANIM", "anim/swap_equip_pack.zip"),

	Asset("ATLAS", "images/map_icons/minimap_equip_pack.xml"),
	Asset("ATLAS", "images/map_icons/minimap_wool_sack.xml" ),
	Asset("ATLAS", "images/map_icons/minimap_ice_pack.xml"),
}

local require 		= GLOBAL.require
local STRINGS 		= GLOBAL.STRINGS
local RECIPETABS 	= GLOBAL.RECIPETABS
local Recipe 		= GLOBAL.Recipe
local Recipes 		= GLOBAL.AllRecipes
local TECH			= GLOBAL.TECH
local Vector3 		= GLOBAL.Vector3
local Ingredient 	= GLOBAL.Ingredient
local FOODTYPE 		= GLOBAL.FOODTYPE
local KnownModIndex = GLOBAL.KnownModIndex
local containers  	= GLOBAL.require "containers"
local SWCHARS 		= GLOBAL.KnownModIndex:IsModEnabled("workshop-697356989")

local config_thermal_pack  		= GetModConfigData("config_thermal_pack")

------------------------------------------------------------------

local ice_pack =
{
    widget =
    {
        slotpos =
        {
            Vector3(-(64 + 12), 0, 0), 
            Vector3(0, 0, 0),
            Vector3(64 + 12, 0, 0), 
        },
        animbank = "ui_chest_3x1",
        animbuild = "ui_chest_3x1",
        pos = Vector3(0, 200, 0),
        side_align_tip = 160,     
    },
    type = "chest",
	itemtestfn = function(container, item, slot)
			if (item:HasTag("icebox_valid") and config_thermal_pack == "true") then
        		return true
    		end


    		if not (item:HasTag("fresh") or item:HasTag("stale") or item:HasTag("spoiled")) then
        		return false
    		end

		for _,v in pairs(FOODTYPE) do
	        if item:HasTag("edible_"..v) then
	            return true
	        end
	    end
				
	    return false
	end,
}

local containers = require("containers")

local oldwidgetsetup = containers.widgetsetup
function containers.widgetsetup(container, prefab, data, ...)
	if container.inst.prefab == "ice_pack" or prefab == "ice_pack" then
        for k, v in pairs(ice_pack) do
            container[k] = v
        end
        container:SetNumSlots(container.widget.slotpos ~= nil and #container.widget.slotpos or 0)
        return
	end
	
    return oldwidgetsetup(container, prefab, data, ...)
end

------------------------------------------------------------------------------------

local equip_pack = 
{
    widget =
    {
        slotpos = 
        {
            Vector3(-162, -75 * 0 + 170, 0),
            Vector3(-162 + 75, -75 * 0 + 170, 0),
            Vector3(-162, -75 * 1 + 170, 0),
            Vector3(-162 + 75, -75 * 1 + 170, 0),
            Vector3(-162, -75 * 2 + 170, 0),
            Vector3(-162 + 75, -75 * 2 + 170, 0),
            Vector3(-162, -75 * 3 + 170, 0),
            Vector3(-162 + 75, -75 * 3 + 170, 0),
            Vector3(-162, -75 * 4 + 170, 0),
            Vector3(-162 + 75, -75 * 4 + 170, 0),
            Vector3(-162, -75 * 5 + 170, 0),
            Vector3(-162 + 75, -75 * 5 + 170, 0),
        },
        animbank = "ui_piggyback_2x6",
        animbuild = "ui_piggyback_2x6",
        pos = Vector3(-5, -50, 0),
    },
    issidewidget = true,
    acceptsstacks = false,
    type = "pack",
}

local containers = require("containers")

local oldwidgetsetup = containers.widgetsetup
function containers.widgetsetup(container, prefab, data, ...)
    if container.inst.prefab == "equip_pack" or prefab == "equip_pack" then
        for k, v in pairs(equip_pack) do
            container[k] = v
        end
        container:SetNumSlots(container.widget.slotpos ~= nil and #container.widget.slotpos or 0)
        return
    end
    
    return oldwidgetsetup(container, prefab, data, ...)
end

-----------------------------------------------------------------------------------

--Configuration =
--{
	local config_gears_multitool  		= GetModConfigData("config_gears_multitool")
	local config_gears_hat_goggles  	= GetModConfigData("config_gears_hat_goggles")
	local config_equip_pack  			= GetModConfigData("config_equip_pack")
	local config_wool_sack  			= GetModConfigData("config_wool_sack")
	local config_ice_pack  				= GetModConfigData("config_ice_pack")
	local config_hat_wood  				= GetModConfigData("config_hat_wood")
	local config_hat_rock  				= GetModConfigData("config_hat_rock")
	local config_hat_marble  			= GetModConfigData("config_hat_marble")
	local config_armor_rock  			= GetModConfigData("config_armor_rock")
	local config_sword_rock  			= GetModConfigData("config_sword_rock")
	local config_bug_swatter  			= GetModConfigData("config_bug_swatter")
	local config_gears_mace  			= GetModConfigData("config_gears_mace")
	local config_gears_staff  			= GetModConfigData("config_gears_staff")
	local config_armor_beefalo  		= GetModConfigData("config_armor_beefalo")
	local config_ruins_battery  		= GetModConfigData("config_ruins_battery")		
				
	local tech_gears_multitool			= TECH.SCIENCE_TWO		
	local tech_gears_hat_goggles		= TECH.SCIENCE_TWO
	local tech_equip_pack				= TECH.SCIENCE_TWO
	local tech_wool_sack				= TECH.SCIENCE_TWO
	local tech_ice_pack					= TECH.SCIENCE_TWO
	local tech_hat_wood					= TECH.SCIENCE_ONE
	local tech_hat_rock					= TECH.SCIENCE_TWO
	local tech_hat_marble				= TECH.SCIENCE_TWO
	local tech_armor_rock				= TECH.SCIENCE_TWO
	local tech_sword_rock				= TECH.SCIENCE_TWO
	local tech_bug_swatter				= TECH.SCIENCE_TWO
	local tech_gears_mace				= TECH.SCIENCE_TWO
	local tech_gears_staff				= TECH.SCIENCE_TWO
	local tech_armor_beefalo			= TECH.SCIENCE_TWO
	local tech_ruins_battery			= TECH.ANCIENT_FOUR

	if config_gears_multitool == "false" or config_ruins_battery == "false" then
		tech_gears_multitool			= TECH.LOST
	end
	
	if config_gears_hat_goggles == "false" or config_ruins_battery == "false" then
		tech_gears_hat_goggles			= TECH.LOST
	end
	
	if config_equip_pack == "false" then
		tech_equip_pack					= TECH.LOST
	end
	
	if config_wool_sack == "false" then
		tech_wool_sack					= TECH.LOST
	end
	
	if config_ice_pack == "false" then
		tech_ice_pack					= TECH.LOST
	end
	
	if config_hat_wood == "false" then
		tech_hat_wood					= TECH.LOST
	end
	
	if config_hat_rock == "false" then
		tech_hat_rock					= TECH.LOST
	end
	
	if config_hat_marble == "false" then
		tech_hat_marble					= TECH.LOST
	end
	
	if config_armor_rock == "false" then
		tech_armor_rock					= TECH.LOST
	end
	
	if config_sword_rock == "false" then
		tech_sword_rock					= TECH.LOST
	end

	if config_bug_swatter == "false" then
		tech_bug_swatter				= TECH.LOST
	end
	
	if config_gears_mace == "false" or config_ruins_battery == "false" then
		tech_gears_mace					= TECH.LOST
	end
	
	if config_gears_staff == "false" or config_ruins_battery == "false" then
		tech_gears_staff				= TECH.LOST
	end
	
	if config_armor_beefalo == "false" then
		tech_armor_beefalo				= TECH.LOST
	end
	
	if config_ruins_battery == "false" then
		tech_ruins_battery				= TECH.LOST
	end
--}

local ruins_battery			= Ingredient("ruins_battery", 1)
ruins_battery.atlas			= "images/inventoryimages/ruins_battery.xml"

local gears_multitool = Recipe("gears_multitool",
{ 
	ruins_battery,
	Ingredient("goldnugget", 					4),
	Ingredient("twigs", 						4)
},  
RECIPETABS.TOOLS, tech_gears_multitool)
Recipes.gears_multitool.sortkey = Recipes.razor.sortkey + 0.1

local gears_hat_goggles = Recipe("gears_hat_goggles",
{ 
	ruins_battery,
	Ingredient("goggleshat",					1),
	Ingredient("gears", 						1)
},  
RECIPETABS.LIGHT, tech_gears_hat_goggles)
Recipes.gears_hat_goggles.sortkey = Recipes.molehat.sortkey + 0.1

local equip_pack = AddRecipe("equip_pack", 
{
	Ingredient("petals", 12),
	Ingredient("mosquitosack", 4),
	Ingredient("trinket_6", 3)
}, 
GLOBAL.RECIPETABS.SURVIVAL, tech_equip_pack, nil, nil, nil, nil, nil, "images/inventoryimages/equip_pack.xml")
Recipes.equip_pack.sortkey = Recipes.backpack.sortkey + 0.1

local wool_sack = AddRecipe("wool_sack", 
{
	Ingredient("steelwool", 4),
	Ingredient("silk", 6),
	Ingredient("rope", 2)
}, 
GLOBAL.RECIPETABS.SURVIVAL, tech_wool_sack, nil, nil, nil, nil, nil, "images/inventoryimages/wool_sack.xml")
Recipes.wool_sack.sortkey = Recipes.piggyback.sortkey + 0.1

local ice_pack = Recipe("ice_pack",
{ 
	Ingredient("trinket_11", 					1),
	Ingredient("gears",							2),
	Ingredient("trinket_6", 					2)
},  
RECIPETABS.FARM, tech_ice_pack)
Recipes.ice_pack.sortkey = Recipes.icebox.sortkey + 0.1

local hat_wood = Recipe("hat_wood",
{ 
	Ingredient("footballhat", 					1),
	Ingredient("log", 							4),
	Ingredient("rope", 							2)
},  
RECIPETABS.WAR, tech_hat_wood)
Recipes.hat_wood.sortkey = Recipes.footballhat.sortkey + 0.1

local hat_rock = Recipe("hat_rock",
{ 
	Ingredient("rocks", 						8), 
	Ingredient("flint", 						2),
	Ingredient("goldnugget", 					1)
},  
RECIPETABS.WAR, tech_hat_rock)
Recipes.hat_rock.sortkey = Recipes.footballhat.sortkey + 0.2

local hat_marble = Recipe("hat_marble",
{ 
	Ingredient("marble", 						8)
},  
RECIPETABS.WAR, tech_hat_marble)
Recipes.hat_marble.sortkey = Recipes.footballhat.sortkey + 0.3

local armor_rock = Recipe("armor_rock",
{ 
	Ingredient("rocks", 						12), 
	Ingredient("flint", 						4)
},  
RECIPETABS.WAR, tech_armor_rock)
Recipes.armor_rock.sortkey = Recipes.armorwood.sortkey + 0.1

local sword_rock = Recipe("sword_rock",
{ 
	Ingredient("twigs", 						2), 
	Ingredient("rocks", 						8),
	Ingredient("rope", 							1)
},  
RECIPETABS.WAR, tech_sword_rock)
Recipes.sword_rock.sortkey = Recipes.spear.sortkey + 0.1

local bug_swatter = Recipe("bug_swatter",
{ 
	Ingredient("twigs", 						2), 
	Ingredient("silk", 							4),
	Ingredient("rope", 							2)
},  
RECIPETABS.WAR, tech_bug_swatter)
Recipes.bug_swatter.sortkey = Recipes.whip.sortkey + 0.1

local gears_mace = Recipe("gears_mace",
{ 
	ruins_battery,
	Ingredient("redgem", 						1),
	Ingredient("bluegem", 						1)
}, 
RECIPETABS.WAR, tech_gears_mace)
Recipes.gears_mace.sortkey = Recipes.staff_tornado.sortkey + 0.1

local gears_staff = Recipe("gears_staff",
{ 
	ruins_battery,
	Ingredient("nightmarefuel", 				4),
	Ingredient("lightninggoathorn", 			2) 
},  
RECIPETABS.WAR, tech_gears_staff)
Recipes.gears_staff.sortkey = Recipes.staff_tornado.sortkey + 0.2

local armor_beefalo = Recipe("armor_beefalo",
{ 
	Ingredient("beefalowool", 					16),
	Ingredient("rope", 							2) 
},  
RECIPETABS.DRESS, tech_armor_beefalo)
Recipes.armor_beefalo.sortkey = Recipes.sweatervest.sortkey + 0.1

local ruins_battery = Recipe("ruins_battery",
{ 
	Ingredient("shadowheart", 					1),
	Ingredient("thulecite", 					8),
	Ingredient("transistor", 					2)
},  
RECIPETABS.ANCIENT, tech_ruins_battery,  nil, nil, true)
Recipes.ruins_battery.sortkey = Recipes.thulecite.sortkey + 0.1




if SWCHARS then 
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.ARMOR_BEEFALO				= "Musky smellin' coat."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.ARMOR_BEEFALO				= "Not my style."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.ARMOR_ROCK					= "Weighs me shoulders down!"
	STRINGS.CHARACTERS.WALANI.DESCRIBE.ARMOR_ROCK					= "Do I look like a boulder when wearing this?"
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.BUG_SWATTER				= "Thar be me slappin' stick."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.BUG_SWATTER					= "My aim can't be that bad..."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.EQUIP_PACK					= "A box for me treasures."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.EQUIP_PACK					= "Neat!"
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.GEARS_HAT_GOGGLES			= "Me eyes!"
	STRINGS.CHARACTERS.WALANI.DESCRIBE.GEARS_HAT_GOGGLES			= "Awesome."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.GEARS_MACE					= "Me luck is tested."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.GEARS_MACE					= "I wonder how lucky I am with this."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.GEARS_MULTITOOL			= "A pirates tool it is."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.GEARS_MULTITOOL				= "Just what I needed in this situation."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.GEARS_STAFF				= "Thar be a fancy cane."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.GEARS_STAFF					= "Feels weird."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.HAT_MARBLE					= "Makes me head smooth."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.HAT_MARBLE					= "Fancy headgear."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.HAT_ROCK					= "Me poor head!"
	STRINGS.CHARACTERS.WALANI.DESCRIBE.HAT_ROCK						= "I hope it does not fall off my head."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.HAT_WOOD					= "Roots be growin on me head."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.HAT_WOOD						= "What happened to the Football Helmet?"
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.ICE_PACK					= "Me food be in good hands now."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.ICE_PACK						= "Cool."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.RUINS_BATTERY				= "Whut can be inside thar?"
	STRINGS.CHARACTERS.WALANI.DESCRIBE.RUINS_BATTERY				= "Looks like a music box."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.SWORD_ROCK					= "Ye better watch out fer me."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.SWORD_ROCK					= "Now that is a sword."
	STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.WOOL_SACK					= "I ain't liking this, but it does th' job."
	STRINGS.CHARACTERS.WALANI.DESCRIBE.WOOL_SACK					= "Cute, in a way."
end

gears_multitool.atlas 	= "images/inventoryimages/gears_multitool.xml"
gears_hat_goggles.atlas = "images/inventoryimages/gears_hat_goggles.xml"
equip_pack.atlas 		= "images/inventoryimages/equip_pack.xml"
wool_sack.atlas 		= "images/inventoryimages/wool_sack.xml"
ice_pack.atlas 			= "images/inventoryimages/ice_pack.xml"
hat_wood.atlas 			= "images/inventoryimages/hat_wood.xml"
hat_rock.atlas 			= "images/inventoryimages/hat_rock.xml"
hat_marble.atlas 		= "images/inventoryimages/hat_marble.xml"
armor_rock.atlas 		= "images/inventoryimages/armor_rock.xml"
sword_rock.atlas 		= "images/inventoryimages/sword_rock.xml"
bug_swatter.atlas 		= "images/inventoryimages/bug_swatter.xml"
gears_mace.atlas 		= "images/inventoryimages/gears_mace.xml"
gears_staff.atlas 		= "images/inventoryimages/gears_staff.xml"
armor_beefalo.atlas 	= "images/inventoryimages/armor_beefalo.xml"
ruins_battery.atlas 	= "images/inventoryimages/ruins_battery.xml"

AddMinimapAtlas("images/map_icons/minimap_equip_pack.xml")
AddMinimapAtlas("images/map_icons/minimap_wool_sack.xml")
AddMinimapAtlas("images/map_icons/minimap_ice_pack.xml")