local assets =
{
    Asset("ANIM", "anim/ruins_battery.zip"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("ruins_battery")
    inst.AnimState:SetBuild("ruins_battery")
    inst.AnimState:PlayAnimation("idle")
    inst.Transform:SetScale(0.75, 0.75, 0.75)

    if CurrentRelease.GreaterOrEqualTo("R08_ROT_TURNOFTIDES") then
    	MakeInventoryFloatable(inst, "small", 0.2, 0.80)
    end

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/ruins_battery.xml"
	
    inst:AddComponent("tradable")
    inst:AddComponent("inspectable")
--	inst:AddComponent("stackable")

    MakeHauntableLaunchAndSmash(inst)

    return inst
end

STRINGS.NAMES.RUINS_BATTERY 							= "Thulecite Battery"
STRINGS.RECIPE_DESC.RUINS_BATTERY 						= "Back to the basics."

STRINGS.CHARACTERS.GENERIC.DESCRIBE.RUINS_BATTERY  		= "I can only imagine what I can invent with this."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.RUINS_BATTERY  		= "What does it go into?"
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.RUINS_BATTERY 		= "Is small power box."
STRINGS.CHARACTERS.WENDY.DESCRIBE.RUINS_BATTERY 		= "Power gathered from the unknown."
STRINGS.CHARACTERS.WX78.DESCRIBE.RUINS_BATTERY 			= "IT IS BEAUTIFUL."
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.RUINS_BATTERY 	= "A battery charged by magic."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.RUINS_BATTERY 		= "I wonder what I can use this with, eh?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.RUINS_BATTERY 		= "A cleaner, but more expensive solution to nightmare fuel."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.RUINS_BATTERY 	= "I have the power!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.RUINS_BATTERY		= "Our toys run on this."
STRINGS.CHARACTERS.WINONA.DESCRIBE.RUINS_BATTERY        = "Hooboy! It's like a factory in your pocket."
STRINGS.CHARACTERS.WORTOX.DESCRIBE.RUINS_BATTERY 	    = "How naughty! A box of living magic."
STRINGS.CHARACTERS.WORMWOOD.DESCRIBE.RUINS_BATTERY      = "Dark hummer"
STRINGS.CHARACTERS.WARLY.DESCRIBE.RUINS_BATTERY         = "Another mystery."


return Prefab("ruins_battery", fn, assets)